aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perdition/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2011-05-11 06:18:24 +0000
committerLeonardo Arena <rnalrd@gmail.com>2011-05-11 06:18:24 +0000
commitde82a410d7c65302de84b70d70dbfc50e304d451 (patch)
tree03c737134ccdbe149e2cba32b7a9d8eb4c51e1cd /testing/perdition/APKBUILD
parent07fcabcbeb610c1c0746d8926972f35f1f5e7553 (diff)
downloadaports-de82a410d7c65302de84b70d70dbfc50e304d451.tar.gz
aports-de82a410d7c65302de84b70d70dbfc50e304d451.tar.bz2
aports-de82a410d7c65302de84b70d70dbfc50e304d451.tar.xz
testing/permission: new aport
A Mail retrieval proxy
Diffstat (limited to 'testing/perdition/APKBUILD')
-rw-r--r--testing/perdition/APKBUILD52
1 files changed, 52 insertions, 0 deletions
diff --git a/testing/perdition/APKBUILD b/testing/perdition/APKBUILD
new file mode 100644
index 0000000000..82531132a5
--- /dev/null
+++ b/testing/perdition/APKBUILD
@@ -0,0 +1,52 @@
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=perdition
+pkgver=1.18
+pkgrel=0
+pkgdesc="A Mail retrieval proxy"
+url="http://horms.net/projects/perdition/"
+arch="all"
+license="GPL"
+depends=
+depends_dev="gdbm-dev popt-dev vanessa_adt-dev vanessa_logger-dev vanessa_socket-dev"
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-doc"
+source="http://horms.net/projects/perdition/download/$pkgver/$pkgname-$pkgver.tar.bz2"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ return 0
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --disable-libtool-lock \
+ --disable-mysql \
+ --disable-odbc \
+ --disable-db \
+ --disable-pg \
+ --disable-cdb \
+ --disable-nis \
+ --disable-posix-regex \
+ --disable-ldap \
+ --disable-daemon-map
+
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+
+ install -m755 -D ../../$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -m644 -D ../../$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="df84d5fc4ab78b94a9baf17c5790ba38 perdition-1.18.tar.bz2"